Bug 159608 - (Upstream) pwc doesn't work anymore
(Upstream) pwc doesn't work anymore
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 142704 163877 163946 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-05 17:13 EDT by Laurent Wandrebeck
Modified: 2015-01-04 17:19 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 21:57:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for Fedora to update the kernel module location (931 bytes, patch)
2005-09-24 09:13 EDT, Jan Houtsma
no flags Details | Diff

  None (edit)
Description Laurent Wandrebeck 2005-06-05 17:13:08 EDT
Description of problem:
pwc webcam (philips toUcam pro) was working ok up to 1363, 1366 breaks it with
the following message:
Jun  3 19:23:07 a64 kernel: pwc Philips webcam module version 9.0.2-unofficial
loaded.
Jun  3 19:23:07 a64 kernel: pwc Supports Philips PCA645/646, PCVC675/680/690,
PCVC720[40]/730/740/750 & PCVC830/840.
Jun  3 19:23:07 a64 kernel: pwc Also supports the Askey VC010, various Logitech
Quickcams, Samsung MPC-C10 and MPC-C30,
Jun  3 19:23:07 a64 kernel: pwc the Creative WebCam 5 & Pro Ex, SOTEC Afina Eye
and Visionite VCS-UC300 and VCS-UM100.
Jun  3 19:23:07 a64 kernel: pwc Philips PCVC740K (ToUCam Pro)/PCVC840 (ToUCam
II) USB webcam detected.
Jun  3 19:23:07 a64 kernel: pwc Registered as /dev/video0.
Jun  3 19:23:07 a64 kernel: usbcore: registered new driver Philips webcam
Jun  3 19:23:27 a64 kernel: pwc Failed to set LED on/off time.
Jun  3 19:23:27 a64 kernel: pwc Failed to allocate decompress table.

I've tried with selinux enabled and disabled, same behaviour.

Version-Release number of selected component (if applicable):
2.6.11-1.1366

How reproducible:
just boot with 1366, either selinux enabled or not.

Steps to Reproduce:
1. 
2.
3.
  
Actual results:
webcam isn't detected anymore.

Expected results:
should work perfectly, as it used to up to 1663.

Additional info:
mobo is asrock k8s8x, another usb device (hp scanjet 2200, unused).
bios is 1.9, latest is 2.0, just updating cpu id, nothing usb related.
Comment 1 Warren Togami 2005-06-05 17:43:39 EDT
http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=88c1834633341bbb94e315433067496338bff4ad
The decompressing portion of the pwc driver was removed due to legal reasons in
the upstream kernel.  The message says, "Someone else can then redo the
decompressors properly (clean room) in user space." so it sounds like they wont
let it go back into the kernel.  Instead the software that uses the device must
handle that task.
Comment 2 Laurent Wandrebeck 2005-06-06 03:03:03 EDT
AFAIK, decompressing routines are used for high resolution only. So the webcam
should work in gnomemeeting or vanity. both can't find the device.
Comment 3 Alan Cox 2005-06-07 08:40:40 EDT
I'll take a look over this one.
Comment 4 Laurent Wandrebeck 2005-06-07 17:55:53 EDT
just a little update, same behaviour with 1369.
Alan, I don't have much time, but feel free to mail me if I can help testing. I
can provide you a ssh access if needed.
Comment 5 Alan Cox 2005-06-08 09:46:32 EDT
Can you kill the lines as per the piece of diff below and see if that fixes it 
(drivers/usb/media/pwc/pwc-if.c)

--- pwc-if.c~   2005-06-08 14:39:21.468872184 +0100
+++ pwc-if.c    2005-06-08 14:39:21.469872032 +0100
@@ -332,10 +332,6 @@
 #endif
        ;
         }
-       if (kbuf == NULL) {
-          Err("Failed to allocate decompress table.\n");
-          return -ENOMEM;
-       }
        pdev->decompress_data = kbuf;
  
        /* Allocate image buffer; double buffer for mmap() */
Comment 6 Lonni J Friedman 2005-06-21 21:55:28 EDT
This looks like a duplicate of bug 142704.
Comment 7 Dave Jones 2005-06-27 19:21:14 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.
Comment 8 Lonni J Friedman 2005-06-27 19:30:01 EDT
As I reported in bug 142704, this is broken in FC4.
Comment 9 Laurent Wandrebeck 2005-07-03 05:20:27 EDT
Behaviour is a bit different with 1385:
webcam is now found, but I get a grey window instead of the video with gnomemeeting.
Jul  3 11:18:49 a64 kernel: pwc Failed to set LED on/off time.
If I quit gnomemeeting this appears in /var/log/messages:
Jul  3 11:19:07 a64 kernel: pwc Closing video device: 156 frames received,
dumped 0 frames, 0 frames with errors.
Thx for working on it.
Comment 10 Laurent Wandrebeck 2005-07-03 05:25:31 EDT
hmmmm another bug changing automatically from needinfo to assigned. am I
becoming crazy or is it an unknown bugzilla feature to me ?
Comment 11 Lonni J Friedman 2005-07-03 10:11:56 EDT
Same thing here.  Now all I get is a gray window with 2.6.12-1.1387_FC4.
Comment 12 Joe Acosta 2005-07-04 17:44:15 EDT
ditto here .. add me to the cc list.. I've tried camE and camstream and both
give nice grey windows
Comment 13 Andrew Lau 2005-07-08 19:31:37 EDT
Similar symptoms with the logitech pro 4000
Comment 14 Tim Tregubov 2005-07-19 11:47:58 EDT
Same problem on logitech pro 4000's, worked with kernel version prior to 1372 on
FC3.  Just shows grey, seems to be grabbing frames.
Comment 15 Warren Togami 2005-07-19 16:21:47 EDT
Note that "me too" is not helpful, because the driver is broken upstream.  This
is not Fedora's fault.
Comment 16 Tim Tregubov 2005-07-19 17:21:42 EDT
My apologies.  I only afterwards found the discussion of this LKLM. As per:
http://kerneltrap.org/mailarchive/1/message/60434/thread

Which has some more details on the status of what is happening here.  An option
for us is to just download the legally questionable pwc
http://www.saillard.org/linux/pwc/files/

and replace the pwc module that comes with the new kernels.
Comment 17 Alan Cox 2005-07-20 10:01:55 EDT
All the relevant permissions have been resolved, its just waiting Luc Saillard's
merging of the new driver with the kernel. Not sure when he plans to do that
Comment 18 Warren Togami 2005-07-22 07:58:59 EDT
*** Bug 163946 has been marked as a duplicate of this bug. ***
Comment 19 Warren Togami 2005-07-22 07:59:03 EDT
*** Bug 163877 has been marked as a duplicate of this bug. ***
Comment 20 Derek Atkins 2005-08-09 08:55:41 EDT
In case it matters, using pwc-10.0.7a on 2.6.12-1.1372_FC3 works for me.  So as
a workaround you could just build this module standalone and replace the module
that comes with the distributed kernel.  Obviously once this newer module is
integrated into the upstream then it won't be an issue anymore, but hopefully
this information is useful in the meantime.
Comment 21 Rahul Sundaram 2005-09-05 01:17:21 EDT
*** Bug 142704 has been marked as a duplicate of this bug. ***
Comment 22 Gabriel Ramirez 2005-09-16 15:49:47 EDT
me too, in fc4, I have a Logitech Quickcam Pro 4000 and with kernel version
2.6.12-1.1447_FC4 the camera only shows a gray rectangle, compiled
pwc-10.0.7a.tar.bz2 as kernel module and the camera works fine so the driver
shipped in kernel 2.6.12-1.1447_FC4 have some problems
Comment 23 Jan Houtsma 2005-09-24 09:13:41 EDT
Created attachment 119224 [details]
Patch for Fedora to update the kernel module location

#
# This fixes my Philips PCVC740K (ToUCam Pro)/PCVC840 (ToUCam II) USB webcam
# for latest fedora kernels (e.g. 2.6.12-1.1456_FC4)
# Note the corresponding kernel-devel-xxxxx_FC4 should be installed as well!
# for example: 'yum install kernel-devel'
#
curl -O http://www.saillard.org/linux/pwc/files/pwc-10.0.7a.tar.bz2
tar jxvfp pwc-10.0.7a.tar.bz2
cd pwc-10.0.7a/

#
# Now use the attached patch file as follows
#
patch < Makefile.patch

# Compile and install the correct kernel module
make install
Comment 24 Jan Houtsma 2005-09-24 09:19:46 EDT
And of course after installing the correct pwc kernel module execute as root:

rmmod pwc
modprobe pwc

Good luck, J@n
Comment 25 Joe Acosta 2005-09-24 14:01:31 EDT
I've been downloading the pwc from saillard from when I discovered this issue.  

All I really needed to do is make && make install, I did not have to patch
anything it seems to have done it on its own.  

camstream, and camE and camserv all work really nicely.  Now I just need a
really good video editor and I'll be all set ;-)
Comment 26 Jan Houtsma 2005-09-24 14:08:15 EDT
If you look at your Fedora installation it has the following pwc kernel module:

/lib/modules/2.6.12-1.1456_FC4/kernel/drivers/usb/media/pwc/pwc.ko

If you don't patch it will install in:

/lib/modules/2.6.12-1.1456_FC4/kernel/drivers/usb/media/pwc.ko

It will work though, but you only end up with two different pwc.ko files of
which only one will work (the latter). My patch file only changes the Makefile
to install the module in the same directory as the original pwc.ko so you only
have one file i.s.o. two.

Regards, J@n
Comment 27 Gabriel Ramirez 2005-09-24 17:26:46 EDT
I installed kernel version 2.6.13-1.1525_FC4 from Dave Jones and in gnommeting
my logitech quickcam pro 4000 shows only a gray rectangle, so I download and
compiled the driver from
http://www.saillard.org/linux/pwc/files/pwc-10.0.7a.tar.bz2 and it's working
again, so the driver has not been merged yet in kernel 2.6.13
Comment 28 Dave Jones 2005-09-30 03:05:58 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 29 Derek Atkins 2005-09-30 08:17:27 EDT
Um, this is also broken in FC3.  Do I need to open a new bug for FC3 to get it
fixed there, too?
Comment 30 Alan Cox 2005-09-30 08:59:03 EDT
It'll still be broken in FC3 and FC4 and everything else. Luc hasn't yet
submitted the new driver (or replied to my email)
Comment 31 Joe Acosta 2005-09-30 21:55:49 EDT
I'm using 2.6.13-1.1526_FC4 and its still a gray box.

I've grabed my pwc copy and make && make install and rmmod pwc && modprobe pwc
and viola its working again.  It has no been merged its still busted!  FC4 here.  
   
Comment 32 Dave Jones 2005-11-10 15:12:00 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 33 Laurent Wandrebeck 2005-11-10 16:31:35 EST
I'm afraid I can't help, as I don't run FC anymore.
Kind regards.
Comment 34 Jan Houtsma 2005-11-10 16:42:42 EST
Why closed/can't fix??????? 

Just because the original reporter says that he can't test it anymore?
The bug still exists (although i haven't tested it on the new kernel) but was
willing to report it here as soom as i have changed the kernel. But if you
simply close the bug why should anyone bother?

It should only be closed once it has been confirmed that the problem has been fixed!

jan
Comment 35 Dave Jones 2005-11-10 16:53:16 EST
ok, if you're willing to test, please do so.
Comment 36 Lonni J Friedman 2005-11-10 17:36:36 EST
I'm willing to test this too.  Please leave it open at least for a few days so
that everyone monitoring this bug has an opportunity to test.
Comment 37 Christian Schaller 2005-11-11 06:29:52 EST
I tested today and the new kernel doesn't make any difference for me, just grey
image in gnomemeeting. Tested with both a Logitech QuickCam Pro 4000 and a
Logitech QuickCam Orbit. Downloading and installing the driver from:
http://www.saillard.org/linux/pwc/ make the cameras work for me.
Comment 38 Jan Houtsma 2005-11-11 07:08:11 EST
Same here. Still the old module.
Comment 39 Lonni J Friedman 2005-11-12 00:31:07 EST
still broken here too.  *sigh*
Comment 40 Scott Edlund 2005-12-24 17:17:17 EST
with http://www.saillard.org/linux/pwc/ module, kernel-2.6.14-1.1644_FC4 works
fine, upgrading to kernel-2.6.14-1.1653_FC4 breaks and gives following errors:

Dec 24 15:48:00 zion kernel: pwc Failed to restore power to the camera! (-32)
Dec 24 15:48:00 zion kernel: pwc Failed to set LED on/off time.
Dec 24 15:48:03 zion kernel: pwc Snapshot button pressed.
Dec 24 15:48:34 zion last message repeated 37 times
Dec 24 15:49:36 zion last message repeated 90 times
Dec 24 15:50:37 zion last message repeated 76 times
Dec 24 15:51:38 zion last message repeated 87 times
Dec 24 15:52:39 zion last message repeated 73 times

backing out to 1644 -- works fine.
Comment 41 Jan Houtsma 2005-12-25 05:41:18 EST
Well, compiling http://www.saillard.org/linux/pwc/ (pwc-10.0.9 dated nov 4 2005)
on kernel-2.6.14-1.1653_FC4 still works fine over here. No problems at all
compiling and running my Philips webcam with it. But it's obviously still not
part of the official kernel build. How hard can it be? ;-)

At #40, see my other posts in this bugreport. Don't forget to change the
location of the driver in the Makefile if you use Fedora 4. Fedora 4 has the
buggy driver in subdirectory
/lib/modules/2.6.14-1.1653_FC4/kernel/drivers/usb/media/pwc/ where  pwc-10.0.9
installs it in /lib/modules/2.6.14-1.1653_FC4/kernel/drivers/usb/media/ where
you end off having two pwc drivers in the module tree.

So change the makefile before installing.

Also don't forget to unload (rmmod pwc) and reload (modprobe pwc) the new driver.

good luck, jan
Comment 42 Scott Edlund 2005-12-25 08:43:04 EST
No go.  Tried 2.6.14-1.1653_FC4 again this am, correct module is inserted. 
Error still as stated in message #40.  I am using logitech quickcam 4000pro and
the 'motion' package.  Also GnomeMeeting app causes same errors.  When closing
the app it closes the cam and this message is displayed:

Dec 25 08:42:25 zion kernel: pwc Closing video device: 132 frames received,
dumped 0 frames, 131 frames with errors.

Going back to 1644.
Comment 43 Scott Edlund 2005-12-25 08:45:07 EST
I should state I'm using 10.0.9 of the pwc module.
Comment 44 Jonathan Kamens 2005-12-28 13:54:53 EST
I'm puzzled by the assertion in this ticker that Red Hat can't fix this 
because it's an upstream problem.  Surely Red Hat is capable of incorporating 
its own fixes into the upstream kernel.  So if for some reason the upstream 
kernel maintainer is being slow to incorporate the new pwc code into the 
kernel, why can't Red Hat do it in its own kernel RPM?
Comment 45 Dave Jones 2005-12-29 01:55:15 EST
There are /thousands/ of drivers in the kernel tree. Shipping not-yet-upstream
versions of drivers is a maintainence nightmare (With just a few updated drivers
it gets ugly really fast).

At times we do include updated variants of drivers in Fedora if not doing so
would impact a user in a sense that they wouldn't be able to install the os, or
download updates, but as a rule, we stay as close as possible to upstream so
that we can quickly rebase to newer upstream releases as they become available
with minimum overhead.
Comment 46 Giuseppe Castagna 2006-01-19 23:15:34 EST
I have a logitech notebook pro (046d:08b1) and an old Philips PCVC750. I can
confirm that with both webcams and all recent kernels I have the problem
described in this report and that compiling  pwc-10.0.11 kernel module fixes it.

Comment 47 Dave Jones 2006-02-03 02:15:34 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 48 Lonni J Friedman 2006-02-03 22:49:18 EST
No, this isn't fixed with the new kernel.
Comment 49 James Hunt 2006-03-27 06:13:33 EST
This is still broken in FC5 (kernel 2.6.15-1.2054_FC5). Please can someone with
"the power" re-categorize this as a "FC5 bug".

In desparation, I mailed Luc Saillard on March 16th after Alan's comment
(Comment #17 From Alan Cox (alan@redhat.com) on 2005-07-20 10:01 EST), but had
no response.

The only reason I bought a Logitech Quickcam 4000 Pro was that it was supported
under Linux. Seems I and a lot of other people made a mistake....

I'm really keen that this problem be resolved. Can _anybody_ else help with this
merging issue? Can _I_ help in some way??

Thanks in advance,

James.
Comment 50 Giuseppe Castagna 2006-05-04 12:52:31 EDT
Since we this thread came back to life, let me add the in FC5 things are even
worse since intalling the original driver does not solve the problem. Here you
are the bug report I recently posted in the pwc mailing list:

Hi,

    I saw that this problem was already discussed lastmonth, unfortunately the 
proposed solutions do not work for my case.

I have two identical laptops (two thinkpads X40) a Logitech QuickCam Notebook 
Pro USB webcam and a Philips PCVC750K (ToUCam Pro Scan).

Both worked quite well on both machines which had an identical configuration: 
up-to-date Fedora Core 4 for which I compiled and reinstalled pwc-10.0.11.

Now I made a fresh installation on one of the two laptops of the Fedora Core 5. 
I saw that the webcams (in ekiga and in camstream) did not work (they carry on 
working on the unmodified laptop). Nor did with a custom kernel 2.6.17-rc3 
(latest available). Well, I tried to do as for the FC4. I tried both 
pwc-10.0.12-rc1 and  pwc-10.0.11, I tried them both on the 2.6.16-1.2096_FC5 
standard fedora kernel and on my custom 2.6.17-rc3. In all the cases, with both 
webcams the result is the same: with V4L1 (ekiga, camstream) a grey screen (even 
though there are no apparent errors in the logs apart from
Apr 29 19:16:51 mirto kernel: pwc Failed to set LED on/off time.
), while wit V4L2 (ekiga) a generic error in opening /dev/video0 (also under 
root, so it should no be a permission problem).

Suggestions?

Below, here you are relevant logs (2.6.17-rc3 with

TIA

---Beppe---

  Apr 29 18:55:37 mirto kernel: pwc Logitech QuickCam Notebook Pro USB webcam 
detected.
Apr 29 18:55:37 mirto kernel: pwc Registered as /dev/video0.
Apr 29 18:56:47 mirto kernel: pwc Failed to set LED on/off time.
Apr 29 18:56:58 mirto kernel: pwc Closing video device: 43 frames received, 
dumped 5 frames, 0 frames with errors.
Apr 29 18:57:51 mirto kernel: pwc Closing video device: 258 frames received, 
dumped 11 frames, 0 frames with errors.
Apr 29 19:09:02 mirto kernel: usb 2-2: USB disconnect, address 5
Apr 29 19:09:20 mirto kernel: usb 2-1: new full speed USB device using uhci_hcd 
and address 6
Apr 29 19:09:20 mirto kernel: usb 2-1: configuration #1 chosen from 1 choice
Apr 29 19:09:20 mirto kernel: pwc Philips PCVC750K (ToUCam Pro Scan) USB webcam 
detected.
Apr 29 19:09:20 mirto kernel: pwc Registered as /dev/video0.
Apr 29 19:16:51 mirto kernel: pwc Failed to set LED on/off time.
Apr 29 19:17:02 mirto kernel: pwc Closing video device: 46 frames received, 
dumped 8 frames, 0 frames with errors.


and the correponding dmesg

pwc Logitech QuickCam Notebook Pro USB webcam detected.
pwc Registered as /dev/video0.
pwc Failed to set LED on/off time.
pwc type = 740
pwc type = 740
pwc set_video_mode(176x144 @ 10, palette 15).
pwc decode_size = 1.
pwc Using alternate setting 1.
pwc type = 740
pwc type = 740
pwc set_video_mode(160x120 @ 10, palette 15).
pwc decode_size = 1.
pwc Using alternate setting 1.
pwc Dumping frame 6.
pwc Closing video device: 43 frames received, dumped 5 frames, 0 frames with errors.
pwc type = 740
pwc type = 740
pwc set_video_mode(160x120 @ 10, palette 15).
pwc decode_size = 1.
pwc Using alternate setting 1.
pwc type = 740
pwc type = 740
pwc set_video_mode(160x120 @ 10, palette 15).
pwc decode_size = 1.
pwc Using alternate setting 1.
pwc Dumping frame 6.
pwc Dumping frame 7.
pwc Dumping frame 8.
pwc Dumping frame 9.
pwc Dumping frame 10.
pwc Dumping frame 33.
pwc Dumping frame 62.
pwc Closing video device: 258 frames received, dumped 11 frames, 0 frames with 
errors.
usb 2-2: USB disconnect, address 5
usb 2-1: new full speed USB device using uhci_hcd and address 6
usb 2-1: configuration #1 chosen from 1 choice
pwc Philips PCVC750K (ToUCam Pro Scan) USB webcam detected.
pwc Registered as /dev/video0.
pwc Failed to set LED on/off time.
pwc type = 750
pwc type = 750
pwc set_video_mode(176x144 @ 10, palette 15).
pwc decode_size = 1.
pwc Using alternate setting 1.
pwc type = 750
pwc type = 750
pwc set_video_mode(160x120 @ 10, palette 15).
pwc decode_size = 1.
pwc Using alternate setting 1.
pwc Dumping frame 6.
pwc Dumping frame 7.
pwc Dumping frame 8.
pwc Dumping frame 9.
pwc Closing video device: 46 frames received, dumped 8 frames, 0 frames with errors.



Comment 51 Moritz Barsnick 2006-07-28 05:55:45 EDT
FYI (and regarding comment #17): Luc Saillard's driver has been merged with the 
kernel tree in 2.6.18-rc1. Check out ftp://ftp.de.kernel.org/pub/linux/kernel/
v2.6/testing/ChangeLog-2.6.18-rc1 .

Regarding comment #50: I'm using 2.6.17-1.2157_FC5smp. I dropped in the pwc 
driver from Luc Saillard (10.0.12-rc1) and it worked out of the box (high 
resolution, high framerate, Logitech QuickCam Pro 4000).
Comment 52 Derek Atkins 2006-07-28 09:30:58 EDT
FYI, I tried 10.0.12-rc1 on 2.6.16-1.2122_FC5 and it did NOT work for me.  I had
to downgrade to 10.0.11 in order to get it working.  I sent a bug report to Luc
but he never responded.
Comment 53 Laurent Wandrebeck 2006-08-10 14:17:07 EDT
back again !
running fc6t2 x86_64, with a philips toUcam pro:
(fully up to date - Linux a64.home.net 2.6.17-1.2543.fc6 #1 SMP Wed Aug 9
22:04:11 EDT 2006 x86_64 x86_64 x86_64 GNU/Linux )
[root@a64 ~]# modprobe pwc
FATAL: Error inserting pwc
(/lib/modules/2.6.17-1.2543.fc6/kernel/drivers/media/video/pwc/pwc.ko): Unknown
symbol in module, or unknown parameter (see dmesg)

dmesg: pwc: Unknown parameter `index'
odinfo shows it is Luc Saillard driver 10.0.12. (according to his website latest
is 10.0.12-rc1
Would be glad to try any further test kernel.
Comment 54 Moritz Barsnick 2006-08-11 05:02:56 EDT
Re comment #53:

This is a known (different!) problem. Check out:
http://www.lavrsen.dk/twiki/bin/view/PWC/
FrequentlyAskedQuestionsPWC#modprobe_fails_with_FATAL_Error

Edit /etc/modprobe.conf and remove the line
options pwc index=1

BTW, recently, this line keeps reappearing in that file, and I do not know from 
where. ;-)
Comment 55 Dave Jones 2006-10-16 20:04:13 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 56 Derek Atkins 2006-10-16 21:52:59 EDT
I just tried camstream with 2.6.18-1.2200.fc5 and .... It worked!  I got an
image, not a grey box.  So it looks like we might actually have a working driver
again.
Comment 57 Dave Jones 2006-10-16 21:57:51 EDT
awesome! thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.